Main Page Widgets Namespaces Book

# Gtk::PageSetup Class Reference

Inheritance diagram for Gtk::PageSetup:

[legend]
List of all members.

## Public Member Functions

double | get_bottom_margin (Unit unit) const
double | get_left_margin (Unit unit) const
PageOrientation | get_orientation () const
double | get_page_height (Unit unit) const
double | get_page_width (Unit unit) const
double | get_paper_height (Unit unit) const
const PaperSize | get_paper_size () const
PaperSize | get_paper_size ()
double | get_paper_width (Unit unit) const
double | get_right_margin (Unit unit) const
double | get_top_margin (Unit unit) const
const GtkPageSetup* | gobj () const
| Provides access to the underlying C GObject.
GtkPageSetup* | gobj ()
| Provides access to the underlying C GObject.
GtkPageSetup* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_bottom_margin (double margin, Unit unit)
void | set_left_margin (double margin, Unit unit)
void | set_orientation (PageOrientation orientation)
void | set_paper_size (const PaperSize& paper_size)
void | set_paper_size_and_default_margins (const PaperSize& paper_size)
void | set_right_margin (double margin, Unit unit)
void | set_top_margin (double margin, Unit unit)
virtual | ~PageSetup ()

## Static Public Member Functions

static Glib::RefPtr<PageSetup> | create ()

## Protected Member Functions

| PageSetup ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::PageSetup> | wrap (GtkPageSetup* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::PageSetup::~PageSetup | ( |  | ) | `[virtual]`

Gtk::PageSetup::PageSetup | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<PageSetup> Gtk::PageSetup::create | ( |  | ) | `[static]`

double Gtk::PageSetup::get_bottom_margin | ( | Unit | unit | ) | const

double Gtk::PageSetup::get_left_margin | ( | Unit | unit | ) | const

PageOrientation Gtk::PageSetup::get_orientation | ( |  | ) | const

double Gtk::PageSetup::get_page_height | ( | Unit | unit | ) | const

double Gtk::PageSetup::get_page_width | ( | Unit | unit | ) | const

double Gtk::PageSetup::get_paper_height | ( | Unit | unit | ) | const

const PaperSize Gtk::PageSetup::get_paper_size | ( |  | ) | const

PaperSize Gtk::PageSetup::get_paper_size | ( |  | ) |

double Gtk::PageSetup::get_paper_width | ( | Unit | unit | ) | const

double Gtk::PageSetup::get_right_margin | ( | Unit | unit | ) | const

double Gtk::PageSetup::get_top_margin | ( | Unit | unit | ) | const

const GtkPageSetup* Gtk::PageSetup::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkPageSetup* Gtk::PageSetup::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkPageSetup* Gtk::PageSetup::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::PageSetup::set_bottom_margin | ( | double | margin,
|  | Unit | unit
| ) |

void Gtk::PageSetup::set_left_margin | ( | double | margin,
|  | Unit | unit
| ) |

void Gtk::PageSetup::set_orientation | ( | PageOrientation | orientation | ) |

void Gtk::PageSetup::set_paper_size | ( | const PaperSize& | paper_size | ) |

void Gtk::PageSetup::set_paper_size_and_default_margins | ( | const PaperSize& | paper_size | ) |

void Gtk::PageSetup::set_right_margin | ( | double | margin,
|  | Unit | unit
| ) |

void Gtk::PageSetup::set_top_margin | ( | double | margin,
|  | Unit | unit
| ) |

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::PageSetup> wrap | ( | GtkPageSetup* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- pagesetup.h